import { TokenStandard } from '@metaplex-foundation/mpl-token-metadata';
import { Context, PublicKey } from '@metaplex-foundation/umi';
import { ResolvedAccounts } from '../generated';
export declare const resolveMasterEditionWhenNonFungible: (context: Pick<Context, 'eddsa' | 'programs'>, accounts: ResolvedAccounts, args: {
    tokenStandard: TokenStandard;
}, programId: PublicKey, isWritable: boolean) => {
    value: PublicKey<string>;
    isWritable: boolean;
};
export declare const resolveOwnerTokenRecordWhenProgrammable: (context: Pick<Context, 'eddsa' | 'programs'>, accounts: ResolvedAccounts, args: {
    tokenStandard: TokenStandard;
}, programId: PublicKey, isWritable: boolean) => {
    value: PublicKey<string>;
    isWritable: boolean;
};
export declare const resolveVaultTokenWhenFungible: (context: Pick<Context, 'eddsa' | 'programs'>, accounts: ResolvedAccounts, args: {
    tokenStandard: TokenStandard;
}, programId: PublicKey, isWritable: boolean) => {
    value: PublicKey<string>;
    isWritable: boolean;
};
export declare const resolveSplAtaProgramWhenFungible: (context: Pick<Context, 'programs'>, accounts: ResolvedAccounts, args: {
    tokenStandard: TokenStandard;
}, programId: PublicKey, isWritable: boolean) => {
    value: PublicKey<string>;
    isWritable: boolean;
};
export declare const resolveAuthorizationRulesProgram: (context: Pick<Context, 'programs'>, accounts: ResolvedAccounts, args: {
    tokenStandard: TokenStandard;
}, programId: PublicKey, isWritable: boolean) => {
    value: PublicKey<string>;
    isWritable: boolean;
};
export declare const resolveDestinationTokenRecordWhenProgrammable: (context: Pick<Context, 'eddsa' | 'programs'>, accounts: ResolvedAccounts, args: {
    tokenStandard: TokenStandard;
}, programId: PublicKey, isWritable: boolean) => {
    value: PublicKey<string>;
    isWritable: boolean;
};
export declare const resolveVaultTokenRecordWhenProgrammable: (context: Pick<Context, 'eddsa' | 'programs'>, accounts: ResolvedAccounts, args: {
    tokenStandard: TokenStandard;
}, programId: PublicKey, isWritable: boolean) => {
    value: PublicKey<string>;
    isWritable: boolean;
};
export declare const resolveRedeemerWhenAuction: (context: Pick<Context, 'eddsa' | 'programs'>, accounts: ResolvedAccounts, args: any, programId: PublicKey, isWritable: boolean) => {
    value: PublicKey<string>;
    isWritable: boolean;
};
